---
layout: page
title: Acerca de los Colaboradores
permalink: /contributors/
---

Los materiales en este repositorio **python-ecology-lesson** fueron inicialmente desarrollados, adaptados y son constantemente revisados por muchos colaboradores. Algunas partes de esta lección fueron adaptadas de los materiales de Software Carpentry.

El primer taller de Python de Data Carpentry se llevó a cabo en la Universidad de Miami el 30 de marzo de 2015 por John Gossoset y François Michonneau. Durante ese tiempo los materiales fueron refinados y se presentaron nuevamente en la conferencia de la UCAR Software Engineering Assembly (SEA) en Boulder, Colorado por Leah Wasser (NEON, Inc) y Mariela Perignon.

## Datos

Los datos son del artículo S. K. Morgan Ernest, Thomas J. Valone, and James H. Brown. 2009. Long-term monitoring and experimental manipulation of a Chihuahuan Desert ecosystem near Portal, Arizona, USA. Ecology 90:1708.

http://esapubs.org/archive/ecol/E090/118/

Los datos en Excel son del artículo Bahlai, C.A., Schaafsma, A.W., Lagos, D., Voegtlin, D., Smith, J.L., Welsman, J.A., Xue, Y., DiFonzo, C., Hallett, R.H., 2014. Factors inducing migratory forms of soybean aphid and an examination of North American spatial dynamics of this species in the context of migratory behavior. Agriculture and Forest Entomology. 16, 240-250.

http://onlinelibrary.wiley.com/doi/10.1111/afe.12051/full

`Master_suction_trap_data_list_uncleaned.csv` es una versión pre-procesada de un conjunto de datos disponibles públicamente por David Voegtlin, Doris Lagos, Douglas Landis and Christie Bahlai, http://lter.kbs.msu.edu/datatables/122

## Lecciones

La lista actual de los episodios de esta leccion.

Nota: estos episodios fueron reorganizados, limpiados y desarrollados por Leah Wasser, Mariela Perignon, John Gosset y François Michonneau en abril de 2015.

 - Breve introducción a la programación en Python
 - Comenzando con datos
 - Indexación, segmentación y creación de subconjuntos a partir de `DataFrames` en Python
 - Tipos de datos y formatos
 - Unión de datos usando Pandas
 - Automatización de análisis de datos: bucles y funciones (Desarrollado por Mariela Perignon con ediciones menores, tanto de ella como de Leah Wasser)
 - Creando gráficos con plotnine (Desarrollado por Jeremy Zucker, noviembre 2016)
 - Poniendo todo junto (Desarrollado por Mariela Perignon con revisiones menores de Leah Wasser, abril 2015)
 - Acceso a base de datos SQLite usando Python y Pandas (Añadido poy John Gosset con revisiones menores de Leah Wasser, abril 2015)

## Traducción

La traducción de esta lección a sido un esfuerzo grupal de varios colaboradores durante noviembre 2018. Queremos agradecer a todos ellos con una mención especial [Alejandra Gonzalez-Beltran](https://github.com/agbeltran), [Sergio Arredondo](https://github.com/arredondo23), [Sergio Sánchez](https://github.com/chekos), [Sofía Meléndez](https://github.com/ComplejoC),  [Enric Escorsa O'Callaghan](https://github.com/enricescorsa), [Fernando Garcia](https://github.com/fergarciafer), [François Michonneau](https://github.com/fmichonneau), [Heladia Salgado](https://github.com/Helysalgado), [Juan Martín Barrios](https://github.com/jmbarrios), [Laura Angelone](https://github.com/LauCIFASIS), [Leonardo Ulises Spairani](https://github.com/LUS24), [Miguel González Duque](https://github.com/miguelgondu), [Monica Alonso](https://github.com/monialo2000), [Nicolas Palopoli](https://github.com/NPalopoli), [Nohemi Huanca Nunez](https://github.com/nohemihuanca), [Paula Andrea Martinez](https://github.com/orchid00), [Rayna M Harris](https://github.com/raynamharris), [Romualdo Zayas Lagunas](https://github.com/rzayas), [Spencer Harris](https://github.com/spencerbh), [Silvana Pereyra](https://github.com/spereyra) y [Wilson Lozano-Rolón](https://github.com/welozano).
