---
layout: lesson
root: .

maintainers:
  - Paula Andrea Martinez
  - Heladia Salgado
  - Rayna Harris
  - Estamos buscando personas interesadas en ser **maintainers** de esta versión.
---

**Lesson Maintainers:** {{ page.maintainers | join: ', ' }}

**Python** es un lenguaje de programación general que es útil para escribir **scripts** para trabajar con datos de manera efectiva y reproducible.

Esta es una introducción a **Python** diseñada para participantes sin experiencia en programación. Estas lecciones pueden enseñarse en un día (~ 6 horas). Las lecciones empiezan con información básica sobre la sintaxis de **Python**, la interface de **Jupyter Notebook**, y continúan con cómo importar archivos CSV, usando el paquete **Pandas** para trabajar con **DataFrames**, cómo calcular la información resumen de un **DataFrame**, y una breve introducción en cómo crear visualizaciones. La última lección demuestra cómo trabajar con bases de datos directamente desde **Python**.
Nota: los datos no han sido traducidos de la versión original en inglés, por lo que los nombres de variables se mantienen en inglés y los números de cada observación usan la sintaxis de habla inglesa (coma separador de miles y punto separador de decimales).

> ## Antes de empezar
>
> La enseñanza en **Data Carpentry** es práctica, y por tanto se fomenta que los participantes usen sus propias computadoras para 
> asegurar la correcta configuración **setup** de las herramientas para un trabajo eficiente.
> **Estas lecciones no asumen conocimientos previos sobre los temas presentados o herramientas usadas.**
>
> Para empezar, sigue las direcciones en [Setup](https://carpentries-es.github.io/python-ecology-lesson-es/setup.html)
> para bajar los datos a tu computadora y siguen las instrucciones de instalación.
>
> #### Prerequisitos
>
> Esta lección requiere la instalación de **Python**.
> Para el uso efectivo de este material, por favor instala todo 
> *antes* de trabajar en la lección.
{: .prereq}

> ## Para instructores
> Si enseñas esta lección en un taller, por favor lee las 
> [Notas de instructor](https://carpentries-es.github.io/python-ecology-lesson-es/guide).
{: .prereq}
