---
layout: reference
---

## Glossary

{:auto_ids}
Indexación basada en cero
:   es una forma de asignar índices a elementos, de manera secuencial, dentro de una 
    estructura de datos y empezando desde cero. Es decir, el primer elemento de la 
    secuencia tiene el índice cero.

__CSV__ (archivo)
:   es un acrónimo que significa archivo de valores separados por comas. Los archivos CSV 
    almacenan datos tabulares, ya sea números, secuencias de caracteres o una combinación
    de los dos, en texto plano con columnas separadas por una coma y filas por el carácter
    de salto de línea.

base de datos
:   es una colección organizada de datos.

__DataFrame__
:   es una estructura bidimensional de datos etiquetados con columnas de (potencialmente) 
    diferentes tipos.

estructura de datos
:   es una manera particular de organizar datos en memoria.

tipo de datos
:   es un tipo particular de elemento que puede ser asignado a una variable, definido
    por los valores que puede tomar, el lenguage de programación en uso y las operaciones
    que se le pueden aplicar.

diccionario o **dictionary**
:   es una estructura de datos desordenada de Python que contiene pares clave-valor, donde
    ambos, la clave y el valor, pueden ser __integers__, __floats__, o cadenas de caracteres. Los
    elementos de un diccionario pueden ser accesados con su llave y pueden ser modificados.

__docstring__
:   es una cadena de caracteres de documentación opcional que describe lo que una función
    de Python hace.

__faceting__
:   es el acto de trazar relaciones entre variables definidas en múltiples subconjuntos 
    de los datos y donde los resultados aparecen como paneles diferentes en la misma figura.

__float__
:   es un tipo de datos en Python diseñado para guardar números decimales positivos y
    negativos mediante una representación denominada punto flotante.

función o **function**
:   es un grupo de declaraciones relacionadas que realizan una tarea específica.

__integer__
:   es un tipo de datos de Python diseñado para almacenar números enteros positivos y negativos.

modo interactivo
:   es un modo de operación en línea en el que el usuario escribe los comandos directamente 
    en la línea de comandos uno por uno y los ejecuta inmediatamente presionando un botón, 
    generalmente <kbd>Return</kbd>.

clave de unión
:   es una variable o un __array__ representando los nombres de las columnas sobre las cuales 
    __pandas.DataFrame.join()__ fusiona las columndas de dos __datasets__.


**library** o biblioteca
:   es un conjunto de funciones y metodos agrupados para realizar algún tipo de tareas específicas.


__list__
:   es una estructura de datos de Python diseñada para contener secuencias de __integers__,
    __floats__, cadenas de caracteres, y cualquier combinación de las anteriores. La
    secuencia es ordenada e indexada por __integers__, empezando desde cero. Los elementos
    de una __list__ pueden ser accedidos por su índice y pueden ser modificados.

__loop__ o bucle
:   es una secuencia de instrucciones que es continuamente repetida hasta que se 
    cumple una condición.

__NaN__
:   es un acrónimo para Not-a-Number (No-un-Número) y representa que falta un valor o
    que el cálculo no puede generar un resultado con significado.

__None__
:   es un objeto que representa la falta de un valor.

__scripting mode__
:    es un modo de operación fuera de línea en el que el usuario escribe los comandos que 
    se ejecutarán en un archivo de texto (con extensión .py para Python) que luego se 
    compila o interpreta para ejecutar el programa. Nótese que Python interpreta el script 
    en tiempo de ejecución y compila una versión binaria del programa para acelerar el 
    tiempo de ejecución.

__Sequential__ (estructura de datos)
:   es un grupo ordenado de objetos almacenados en la memoria al que se puede acceder 
    especificando su índice, es decir, su posición en la estructura.

__SQL__
:   o __Structured Query Language__, es un lenguaje de dominio-específico (-REVISAR-) para 
    administrar datos almacenados en un sistema de administración de bases de 
    datos relacionales (__RDBMS__ por sus siglas en íngles).
    
__SQLite__
:   es un motor de base de datos de SQL, de dominio público e independiente.

__string__ o cadena de caracteres
:   es un tipo de datos de Python que almacena secuencias de caracteres.

tupla
:   es una estructura de datos de Python diseñada para contener secuencias de __integers__,
    __floats__, cadenas de caracteres, y cualquier combinación de las anteriores. La
    secuencia es ordenada e indexada por __integers__, empezando desde cero. Los elementos
    de una __list__ pueden ser accedidos por su índice pero no pueden ser modificados.
